# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeStepFace Class Reference

This class implements the mapping between classes
Face from TopoDS and TopologicalRepresentationItem from
StepShape.
.

`#include <TopoDSToStep_MakeStepFace.hxx>`

Inheritance diagram for TopoDSToStep_MakeStepFace:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeStepFace ()
Standard_EXPORT | TopoDSToStep_MakeStepFace (const TopoDS_Face &F, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT void | Init (const TopoDS_Face &F, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem & | Value () const
Standard_EXPORT TopoDSToStep_MakeFaceError | Error () const

## Private Attributes

Handle_StepShape_TopologicalRepresentationItem | myResult
TopoDSToStep_MakeFaceError | myError

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeStepFace::TopoDSToStep_MakeStepFace | ( |  | ) |

Standard_EXPORT TopoDSToStep_MakeStepFace::TopoDSToStep_MakeStepFace | ( | const TopoDS_Face & | F,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

Standard_EXPORT TopoDSToStep_MakeFaceError TopoDSToStep_MakeStepFace::Error | ( |  | ) | const

Standard_EXPORT void TopoDSToStep_MakeStepFace::Init | ( | const TopoDS_Face & | F,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

void TopoDSToStep_MakeStepFace::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepFace::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeStepFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem& TopoDSToStep_MakeStepFace::Value | ( |  | ) | const

## Field Documentation

TopoDSToStep_MakeFaceError TopoDSToStep_MakeStepFace::myError`[private]`

Handle_StepShape_TopologicalRepresentationItem TopoDSToStep_MakeStepFace::myResult`[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeStepFace.hxx